curl 'https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000' \
-u "apiUsername:apiPassword"
const response = await fetch("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("apiUsername:apiPassword").toString("base64"),
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000",
auth=("apiUsername", "apiPassword"),
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000")
request = Net::HTTP::Get.new(uri)
request.basic_auth("apiUsername", "apiPassword")
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "apiUsername:apiPassword",
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("apiUsername:apiPassword".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000"))
.header("Authorization", "Basic " + credentials)
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("apiUsername", "apiPassword")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("apiUsername:apiPassword")));
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"identifier": {
"transactionId": {
"value": "txn-550e8400-e29b-41d4-a716-446655440000"
},
"timeInUTC": 1767445192678
},
"paymentOverview": {
"source": {
"organisationName": "Example Marketplace Pty Ltd",
"australianBusinessNumber": "34623710896",
"employerPaymentDetails": {
"paymentType": "DIRECTDEBIT",
"directDebit": {
"directDebitPaymentAmount": {
"value": 1500,
"currency": "AUD"
}
}
}
},
"targets": [
{
"fund": {
"usi": "94358124791001"
}
}
],
"paymentStatus": "EMPLOYER_PAYMENT"
},
"paymentTransaction": [
{
"transactionType": "SOURCE",
"australianBusinessNumber": "34623710896",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1767445136804,
"expectedPaymentAmount": {
"value": 1500,
"currency": "AUD"
},
"paymentReference": "PC050126-032779816",
"paymentStatus": "PENDING"
}
]
}
Payment status
Get payment status
Retrieves the payment status for a specific transaction by transaction ID. This endpoint allows you to check the current status of a payment that was submitted through the contribution submission endpoint.
GET
/
v1
/
payments
/
paymentstatus
/
transaction
/
{transactionId}
curl 'https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000' \
-u "apiUsername:apiPassword"
const response = await fetch("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("apiUsername:apiPassword").toString("base64"),
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000",
auth=("apiUsername", "apiPassword"),
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000")
request = Net::HTTP::Get.new(uri)
request.basic_auth("apiUsername", "apiPassword")
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "apiUsername:apiPassword",
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("apiUsername:apiPassword".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000"))
.header("Authorization", "Basic " + credentials)
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("apiUsername", "apiPassword")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("apiUsername:apiPassword")));
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"identifier": {
"transactionId": {
"value": "txn-550e8400-e29b-41d4-a716-446655440000"
},
"timeInUTC": 1767445192678
},
"paymentOverview": {
"source": {
"organisationName": "Example Marketplace Pty Ltd",
"australianBusinessNumber": "34623710896",
"employerPaymentDetails": {
"paymentType": "DIRECTDEBIT",
"directDebit": {
"directDebitPaymentAmount": {
"value": 1500,
"currency": "AUD"
}
}
}
},
"targets": [
{
"fund": {
"usi": "94358124791001"
}
}
],
"paymentStatus": "EMPLOYER_PAYMENT"
},
"paymentTransaction": [
{
"transactionType": "SOURCE",
"australianBusinessNumber": "34623710896",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1767445136804,
"expectedPaymentAmount": {
"value": 1500,
"currency": "AUD"
},
"paymentReference": "PC050126-032779816",
"paymentStatus": "PENDING"
}
]
}
Use Case
- Check payment status after submitting a contribution
- Monitor payment processing progress
- Verify if a payment has been completed or failed
- Track payment status for reconciliation purposes
Transaction ID
The transaction ID should be the server-generated transaction ID (in formattxn-{uuid}) that was returned when submitting the contribution via the /v1/contributions/contribution endpoint.
Overall Payment Status (paymentOverview.paymentStatus)
- EMPLOYER_PAYMENT: Payment is in employer payment stage
- FUND_PAYMENT: Payment is in fund payment stage
- PAYMENT_COMPLETE: Overall payment is complete
Transaction Payment Status (paymentTransaction[].paymentStatus)
- PENDING: Payment is queued and awaiting processing
- PROCESSING: Payment is currently being processed
- COMPLETED: Payment has been successfully processed
- SOURCE_FAILED: Source payment (employer) failed
- SOURCE_CANCELLED: Source payment was cancelled
- DESTINATION_FAILED: Destination payment (fund) failed
- DESTINATION_CANCELLED: Destination payment was cancelled
Response Variants
The API returns different response structures based on the payment status. Below are examples of various response scenarios:1. Response with COMPLETED and PENDING Statuses
{
"identifier": {
"transactionId": {
"value": "34623710896_20250115_105"
},
"timeInUTC": 1682928643508
},
"paymentOverview": {
"source": {
"organisationName": "Example Marketplace Pty Ltd",
"australianBusinessNumber": "20891605180",
"employerPaymentDetails": {
"paymentType": "DIRECTDEBIT",
"directDebit": {
"directDebitPaymentAmount": {
"value": 25.00,
"currency": "AUD"
}
}
}
},
"targets": [
{
"fund": {
"usi": "20891605180001"
}
}
],
"paymentStatus": "FUND_PAYMENT"
},
"paymentTransaction": [
{
"transactionType": "DESTINATION",
"australianBusinessNumber": "20891605180",
"usi": "20891605180001",
"paymentType": "DIRECTCREDIT",
"timeInUTC": 1683125125859,
"expectedPaymentAmount": {
"value": 25.00,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 25.00,
"currency": "AUD"
},
"paymentReference": "PC010423-033710401",
"paymentStatus": "COMPLETED"
},
{
"transactionType": "DESTINATION",
"australianBusinessNumber": "20891605180",
"usi": "20891605180001",
"paymentType": "DIRECTCREDIT",
"timeInUTC": 1683038780169,
"expectedPaymentAmount": {
"value": 25.00,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 25.00,
"currency": "AUD"
},
"paymentReference": "PC010423-033710401",
"paymentStatus": "PENDING"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "60295682905",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1683038058447,
"expectedPaymentAmount": {
"value": 25.00,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 25.00,
"currency": "AUD"
},
"paymentReference": "PC010423-033710474",
"paymentStatus": "COMPLETED"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "60295682905",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1682567578256,
"expectedPaymentAmount": {
"value": 25.00,
"currency": "AUD"
},
"paymentReference": "PC010423-033710474",
"paymentStatus": "PENDING"
}
]
}
2. Response with SOURCE_FAILED Status
{
"identifier": {
"transactionId": {
"value": "2763908_8886792"
},
"timeInUTC": 1682928643508
},
"paymentOverview": {
"source": {
"organisationName": "JAMES PETER MAXWELL",
"australianBusinessNumber": "60295682905",
"employerPaymentDetails": {
"paymentType": "DIRECTDEBIT",
"directDebit": {
"directDebitPaymentAmount": {
"value": 114.00,
"currency": "AUD"
}
}
}
},
"targets": [
{
"smsf": {
"organisationDetails": {
"organisationName": "The Trustee for Jackson Superannuation Fund",
"australianBusinessNumber": "39058555375"
},
"esa": {
"alias": "CLICKSUPER"
},
"account": {
"accountName": "The Trustee for Jackson Superannuation Fund",
"bsb": "012121",
"accountNumber": "222288888"
}
}
}
],
"paymentStatus": "FUND_PAYMENT"
},
"paymentTransaction": [
{
"transactionType": "DESTINATION",
"australianBusinessNumber": "39058555375",
"paymentType": "DIRECTCREDIT",
"timeInUTC": 1644979545187,
"expectedPaymentAmount": {
"value": 114.00,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 114.00,
"currency": "AUD"
},
"paymentReference": "PC110222-144961099",
"paymentStatus": "DESTINATION_CANCELLED"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "19103587019",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1644979525856,
"expectedPaymentAmount": {
"value": 114.00,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 0.00,
"currency": "AUD"
},
"paymentReference": "PC110222-188961100",
"paymentStatus": "SOURCE_FAILED"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "19103587019",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1644565158087,
"expectedPaymentAmount": {
"value": 114.00,
"currency": "AUD"
},
"paymentReference": "PC110222-188961100",
"paymentStatus": "PENDING"
}
]
}
3. Response with SOURCE_CANCELLED Status
{
"identifier": {
"transactionId": {
"value": "3046295_3144146"
},
"timeInUTC": 1682938473730
},
"paymentOverview": {
"source": {
"organisationName": "The trustee for Bechara Group Trust",
"australianBusinessNumber": "18702286138",
"employerPaymentDetails": {
"paymentType": "DIRECTDEBIT",
"directDebit": {
"directDebitPaymentAmount": {
"value": 16763.33,
"currency": "AUD"
}
}
}
},
"targets": [
{
"fund": {
"usi": "96698842547003"
}
}
],
"paymentStatus": "FUND_PAYMENT"
},
"paymentTransaction": [
{
"transactionType": "DESTINATION",
"australianBusinessNumber": "96698842547",
"usi": "96698842547003",
"paymentType": "DIRECTCREDIT",
"timeInUTC": 1675919496223,
"expectedPaymentAmount": {
"value": 16763.33,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 16763.33,
"currency": "AUD"
},
"paymentReference": "PC090227-495933449",
"paymentStatus": "DESTINATION_CANCELLED"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "18702286138",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1675919496192,
"expectedPaymentAmount": {
"value": 16763.33,
"currency": "AUD"
},
"paymentReference": "PC090227-195977150",
"paymentStatus": "SOURCE_CANCELLED"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "18702286138",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1675908783131,
"expectedPaymentAmount": {
"value": 16763.33,
"currency": "AUD"
},
"paymentReference": "PC090227-195977150",
"paymentStatus": "PENDING"
}
]
}
4. Response with DESTINATION_FAILED Status
{
"identifier": {
"transactionId": {
"value": "2659815_2747749"
},
"timeInUTC": 1682933208574
},
"paymentOverview": {
"source": {
"organisationName": "JEAN TEATREE DESIGN ASSOCIATES PTY LTD",
"australianBusinessNumber": "53867542890",
"employerPaymentDetails": {
"paymentType": "DIRECTDEBIT",
"directDebit": {
"directDebitPaymentAmount": {
"value": 1771.97,
"currency": "AUD"
}
}
}
},
"targets": [
{
"fund": {
"usi": "STA0100AU"
}
},
{
"smsf": {
"organisationDetails": {
"organisationName": "The trustee for Daniellson Street Superannuation Fund",
"australianBusinessNumber": "33392289950"
},
"esa": {
"alias": "MACQUARIESMSF"
},
"account": {
"accountName": "The trustee for Daniellson Street Superannuation Fund",
"bsb": "422542",
"accountNumber": "994339077"
}
}
}
],
"paymentStatus": "PAYMENT_COMPLETE"
},
"paymentTransaction": [
{
"transactionType": "DESTINATION",
"australianBusinessNumber": "26457105136",
"paymentType": "DIRECTCREDIT",
"timeInUTC": 1658893453859,
"expectedPaymentAmount": {
"value": 288.46,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 288.46,
"currency": "AUD"
},
"paymentReference": "PC120722-492459237",
"paymentStatus": "DESTINATION_FAILED"
},
{
"transactionType": "DESTINATION",
"australianBusinessNumber": "24069434521",
"usi": "STA0100AU",
"paymentType": "DIRECTCREDIT",
"timeInUTC": 1658778690537,
"expectedPaymentAmount": {
"value": 1136.25,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 1136.25,
"currency": "AUD"
},
"paymentReference": "PC120722-492459239",
"paymentStatus": "COMPLETED"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "53867542890",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1658502287357,
"expectedPaymentAmount": {
"value": 1771.97,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 1771.97,
"currency": "AUD"
},
"paymentReference": "PC120722-492459240",
"paymentStatus": "COMPLETED"
}
]
}
5. Response with DESTINATION_CANCELLED Status
{
"identifier": {
"transactionId": {
"value": "2763908_8886792"
},
"timeInUTC": 1682928643508
},
"paymentOverview": {
"source": {
"organisationName": "JAMES PETER MAXWELL",
"australianBusinessNumber": "60295682905",
"employerPaymentDetails": {
"paymentType": "DIRECTDEBIT",
"directDebit": {
"directDebitPaymentAmount": {
"value": 114.00,
"currency": "AUD"
}
}
}
},
"targets": [
{
"smsf": {
"organisationDetails": {
"organisationName": "The Trustee for Jackson Superannuation Fund",
"australianBusinessNumber": "39058555375"
},
"esa": {
"alias": "CLICKSUPER"
},
"account": {
"accountName": "The Trustee for Jackson Superannuation Fund",
"bsb": "012121",
"accountNumber": "222288888"
}
}
}
],
"paymentStatus": "FUND_PAYMENT"
},
"paymentTransaction": [
{
"transactionType": "DESTINATION",
"australianBusinessNumber": "39058555375",
"paymentType": "DIRECTCREDIT",
"timeInUTC": 1644979545187,
"expectedPaymentAmount": {
"value": 114.00,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 114.00,
"currency": "AUD"
},
"paymentReference": "PC110222-144961099",
"paymentStatus": "DESTINATION_CANCELLED"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "19103587019",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1644979525856,
"expectedPaymentAmount": {
"value": 114.00,
"currency": "AUD"
},
"actualPaymentAmount": {
"value": 0.00,
"currency": "AUD"
},
"paymentReference": "PC110222-188961100",
"paymentStatus": "SOURCE_FAILED"
},
{
"transactionType": "SOURCE",
"australianBusinessNumber": "19103587019",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1644565158087,
"expectedPaymentAmount": {
"value": 114.00,
"currency": "AUD"
},
"paymentReference": "PC110222-188961100",
"paymentStatus": "PENDING"
}
]
}
Request Parameters
string
required
Server-generated transaction ID from the contribution submission (format: txn-{uuid})
Responses
| Code | Description |
|---|---|
200 | Payment status retrieved successfully |
400 | Bad request - The transaction ID format is invalid or the request could not be processed. |
401 | Unauthorized - Invalid authentication credentials |
404 | Transaction not found |
500 | Internal server error - An unexpected error occurred. If this persists, contact SuperChoice support with your transaction ID. |
Response fields
object
object
array
Array of payment transactions associated with this payment
Error response fields
Error response fields
curl 'https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000' \
-u "apiUsername:apiPassword"
const response = await fetch("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("apiUsername:apiPassword").toString("base64"),
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000",
auth=("apiUsername", "apiPassword"),
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000")
request = Net::HTTP::Get.new(uri)
request.basic_auth("apiUsername", "apiPassword")
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "apiUsername:apiPassword",
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("apiUsername:apiPassword".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000"))
.header("Authorization", "Basic " + credentials)
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("apiUsername", "apiPassword")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-super.mygigsters.com.au/v1/payments/paymentstatus/transaction/txn-550e8400-e29b-41d4-a716-446655440000");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("apiUsername:apiPassword")));
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"identifier": {
"transactionId": {
"value": "txn-550e8400-e29b-41d4-a716-446655440000"
},
"timeInUTC": 1767445192678
},
"paymentOverview": {
"source": {
"organisationName": "Example Marketplace Pty Ltd",
"australianBusinessNumber": "34623710896",
"employerPaymentDetails": {
"paymentType": "DIRECTDEBIT",
"directDebit": {
"directDebitPaymentAmount": {
"value": 1500,
"currency": "AUD"
}
}
}
},
"targets": [
{
"fund": {
"usi": "94358124791001"
}
}
],
"paymentStatus": "EMPLOYER_PAYMENT"
},
"paymentTransaction": [
{
"transactionType": "SOURCE",
"australianBusinessNumber": "34623710896",
"paymentType": "DIRECTDEBIT",
"timeInUTC": 1767445136804,
"expectedPaymentAmount": {
"value": 1500,
"currency": "AUD"
},
"paymentReference": "PC050126-032779816",
"paymentStatus": "PENDING"
}
]
}
Last modified on November 10, 2026
Was this page helpful?
